Item Posting Group
The item posting group resource.
Basehttps://rest.carbon.ms/itemPostingGroup
GET
/itemPostingGroupList item posting groups
Retrieve a paginated list of item posting groups. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/itemPostingGroup
curl --request GET \
--url 'https://rest.carbon.ms/itemPostingGroup?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"updatedBy": "string"
}
]GET
/itemPostingGroupRetrieve a item posting group
Fetch a single item posting group by filtering on `id`.
Query parameters
idstringMatch on the item posting group's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/itemPostingGroup
curl --request GET \
--url 'https://rest.carbon.ms/itemPostingGroup?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"updatedBy": "string"
}POST
/itemPostingGroupCreate a item posting group
Create a new item posting group.
Body parameters
namestringrequireddescriptionstringactivebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPOSThttps://rest.carbon.ms/itemPostingGroup
curl --request POST \
--url https://rest.carbon.ms/itemPostingGroup \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","description":"string","active":true,"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"name": "Example",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"updatedBy": "string"
}PATCH
/itemPostingGroupUpdate a item posting group
Update an existing item posting group, matched on `id`.
Body parameters
namestringrequireddescriptionstringactivebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPATCHhttps://rest.carbon.ms/itemPostingGroup
curl --request PATCH \
--url 'https://rest.carbon.ms/itemPostingGroup?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"updatedBy": "string"
}DELETE
/itemPostingGroupDelete a item posting group
Delete a item posting group, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the item posting group to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/itemPostingGroup
curl --request DELETE \
--url 'https://rest.carbon.ms/itemPostingGroup?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content